ScXML Class Reference
State Chart XML Classes

namespace for static ScXML-related functions. More...

`#include <Inventor/scxml/ScXML.h>`

## Static Public Member Functions

static void | initClasses (void)
static void | cleanClasses (void)
static ScXMLStateMachine * | readFile (const char *filename)
static ScXMLStateMachine * | readBuffer (const SbByteBuffer &buffer)
static SbBool | registerEvaluatorType (SbName profilename, SoType evaluatortype)
static SbBool | unregisterEvaluatorType (SbName profilename, SoType evaluatortype)
static SoType | getEvaluatorTypeForProfile (SbName profilename)

## Detailed Description

namespace for static ScXML-related functions.

This is a static namespace class for ScXML-related functions.

Since
  Coin 3.0

## Member Function Documentation

## initClasses()

void ScXML::initClasses | ( | void |  | ) |

static

Initializes the basic ScXML classes.

## readFile()

ScXMLStateMachine * ScXML::readFile | ( | const char * | filename | ) |

static

This function reads in an SCXML document from a file.

Returns
  an ScXMLDocument-derived state machine object hierarchy.

## readBuffer()

ScXMLStateMachine * ScXML::readBuffer | ( | const SbByteBuffer & | bufferdata | ) |

static

This function reads in an SCXML document residing in memory.

Returns
  an ScXMLDocument-derived state machine object hierarchy.

The documentation for this class was generated from the following files:

- ScXML.h
- ScXML.cpp